# Class CLEG

java.lang.Object
org.jmol.symmetry.CLEG

public final class CLEG extends Object
A holding class for ClegData and ClegNode, which are called by org.jmol.modelkit.Modelkit to process CLEG strings. This code access multiple methods in Jmol, so it is not independently implemented outside that context. But it enca psulates the essentals of

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static class`
`CLEG.ClegData`
running data items for assignSpaceGroup iteration
`static class`
`CLEG.ClegNode`

## Field Summary

Fields
Modifier and Type
Field
Description
`static boolean`
`allow300`
allows 300, 400, 500, 600 instead of p/ l/ r/ f/ could be turned on; this is for Jmol testing
`static final String`
`HEX_TO_RHOMB`
`static final String`
`RHOMB_TO_HEX`

## Constructor Summary

Constructors
Constructor
Description
`CLEG()`

## Method Summary

Modifier and Type
Method
Description
`static boolean`
`checkFullSyntax(String[] tokens, SymmetryInterface sym, boolean allow300)`
Test nodes and transforms for valid syntax.
`static String`
`cleanCleg000(String t)`
`static String`
`getCalcType(String token)`
`static int`
`isProbableClegSetting(String name)`
Determine if the string is of the general form [<type>/]<n>:...,....
`static boolean`
`isTransform(String token, boolean checkColonRH)`
`static boolean`
`isTransformOnly(String token)`
`static void`
`standardizeTokens(String[] tokens, boolean isEnd)`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### allow300

public static boolean allow300
allows 300, 400, 500, 600 instead of p/ l/ r/ f/ could be turned on; this is for Jmol testing

### HEX_TO_RHOMB

public static final String HEX_TO_RHOMB

See Also:
  - Constant Field Values

### RHOMB_TO_HEX

public static final String RHOMB_TO_HEX

See Also:
  - Constant Field Values

## Constructor Details

### CLEG

public CLEG()

## Method Details

### standardizeTokens

public static void standardizeTokens(String[] tokens, boolean isEnd)

### cleanCleg000

public static String cleanCleg000(String t)

### isProbableClegSetting

public static int isProbableClegSetting(String name)
Determine if the string is of the general form [<type>/]<n>:...,.... but not checking for details of the it number or the setting allows optional <type>/ prefix where <type> is one of 'p','l','r','f'

Parameters:
  `name` -
Returns:
  position of ":" or -1;

### checkFullSyntax

public static boolean checkFullSyntax(String[] tokens, SymmetryInterface sym, boolean allow300)
Test nodes and transforms for valid syntax. 133:b1 is OK, perhaps, at this point, but 142:0,0,0 is not and P2/m:a,b,c is not and IT numbers must be in the appropriate range

Parameters:
  `tokens` -
  `sym` -
  `allow300` - allow CLEG extension to 301-317 for plane, 401-480 for layer, 501-575 for rod, 601-607 for frieze
Returns:
  true for OK syntax

### getCalcType

public static String getCalcType(String token)

### isTransformOnly

public static boolean isTransformOnly(String token)

### isTransform

public static boolean isTransform(String token, boolean checkColonRH)